Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 623238 - jobserver: problems reconstructing history job ads
jobserver: problems reconstructing history job ads
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-qmf (Show other bugs)
beta
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Pete MacKinnon
MRG Quality Engineering
:
Depends On: 627679
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 12:47 EDT by Pete MacKinnon
Modified: 2010-10-12 16:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-27 13:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete MacKinnon 2010-08-11 12:47:15 EDT
Further testing/investigation required but it appears if a history entry has an ad that includes certain characters (ie., *) then the ClassAd ctor with a "***" delimiter gets confused and throws an error.

This was observed on mrg31 where some jobs were being sent in with Environment like "u'Environment': "LS_COLORS=no=00:fi=00:di=00;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.btm=00;32:<snip>"

ClassAd ctor throws an error saying "bad expr..." but it is not always directly traceable to individual ads which suggests a cumulative parsing error across ads in the file potentially.
Comment 1 Pete MacKinnon 2010-08-17 17:16:30 EDT
It's not clear that this has anything to do with wildcards. More likely that the offsets in the history entries managed by the job server and the indices are somehow "driftng". condor_history -l of randomly selected clusters looks ok.
Comment 2 Pete MacKinnon 2010-09-01 21:23:52 EDT
Modified with FH sha 634e1cd

Significant reworking of how summaries are collected from Live and Historical Jobs so will reassess once condor is updated on mrg27

Note You need to log in before you can comment on or make changes to this bug.